# $Revision: 1.12.2.1 $, $Date: 2006/05/15 21:57:37 $
#
# TODO
# Use shared ffmpeg lib instead of builtin - anyone wants to do it?
#
%define gstname gst-ffmpeg
%define gst_major_ver   0.10

Summary:	GStreamer Streaming-media framework plug-in using FFmpeg
Summary(pl):	Wtyczka do rodowiska obrbki strumieni GStreamer uywajca FFmpeg
Name:		gstreamer-ffmpeg
Version:	0.10.1
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://gstreamer.freedesktop.org/src/gst-ffmpeg/%{gstname}-%{version}.tar.bz2
# Source0-md5:	e21aef9a84d67dea9a68c1379781f763
Patch0:		%{name}-nocpp.patch
URL:		http://gstreamer.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gstreamer-plugins-base-devel >= 0.10
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	gstreamer-plugins-base >= 0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ppc	-maltivec

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related. Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

This plugin contains the FFmpeg codecs, containing codecs for most
popular multimedia formats.

%description -l pl
GStreamer to rodowisko obrbki danych strumieniowych, bazujce na
grafie filtrw operujcych na danych medialnych. Aplikacje uywajce
tej biblioteki mog robi wszystko od przetwarzania dwiku w czasie
rzeczywistym, do odtwarzania filmw i czegokolwiek innego zwizanego z
mediami. Architektura bazujca na wtyczkach pozwala na atwe dodawanie
nowych typw danych lub moliwoci obrbki.

Wtyczka ta zawiera kodeki FFmpeg, potrafice zdekodowa najpopularniejsze
formaty multimedialne.

%prep
%setup -q -n %{gstname}-%{version}
%patch0 -p1

%build
cd gst-libs/ext/ffmpeg
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../../..
%{__libtoolize}
%{__aclocal} -I common/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_major_ver}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/gstreamer-%{gst_major_ver}/libgstffmpeg.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gstreamer-ffmpeg.spec,v $
Revision 1.12.2.1  2006/05/15 21:57:37  baggins
- merged from HEAD

Revision 1.17  2006/04/04 20:10:07  qboosh
- updated to 0.10.1

Revision 1.16  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.15  2006/02/22 22:19:14  freetz
- specflagsppc defined

Revision 1.14  2006/01/31 21:15:02  freetz
- cleanup

Revision 1.13  2006/01/14 18:28:55  qboosh
- updated to 0.10.0, added nocpp patch

Revision 1.12  2005/11/30 19:45:26  wrobell
- ver. 0.8.7

Revision 1.11  2005/09/27 15:03:34  megabajt
- BR: automake

Revision 1.10  2005/06/27 16:11:46  freetz
- 0.8.5, fixed gstreamer requirement

Revision 1.9  2005/03/24 22:45:58  freetz
- 0.8.4

Revision 1.8  2005/01/05 14:15:10  qboosh
- release 2

Revision 1.7  2005/01/05 13:43:38  qboosh
- umask 022 for gst-register

Revision 1.6  2004/11/01 16:52:22  grzegol
- updated to 0.8.2

Revision 1.5  2004/07/18 22:11:41  grzegol
- updated to 0.8.1

Revision 1.4  2004/06/11 15:34:26  krzak
- more config.sub

Revision 1.3  2004/06/11 15:28:30  krzak
- config.sub for amd64

Revision 1.2  2004/04/14 22:13:32  qboosh
- typos, so perms

Revision 1.1  2004/04/14 21:46:40  aflinta
- PLD initial release
